发生错误,请运行包管理器

Modified on: Thu, 14 Jun 2018 11:53:23 +0800

我刚刚将戴尔Inspiron 1545笔记本电脑从Ubuntu 12.04升级到13.04。不幸的是,顶部栏现在有一个带有减号的小红圈。单击它时,它会打开一个框,其中包含以下消息:

  

发生错误,请从右键单击窗口右键单击运行程序包管理器,或者在终端中使用apt-get查看错误。错误消息是:'未知错误:''(E:需要重新安装软件包google-chrome-stable,但我找不到它的存档。)'这通常意味着您已经安装了>包未满足的依赖

我没有很多使用ubuntu或linux的经验,我不知道这意味着什么。这听起来像是某种谷歌Chrome错误。我几分钟才下载并安装了谷歌浏览器。我在终端上运行apt-get但它没有做任何事情,我不知道从右键单击窗口运行包管理器是什么意思。谷歌chrome和geany ide是我安装linux后唯一安装的软件。电脑似乎运行得很好。你对我该做什么有什么建议吗?

来自:sudo apt-get -f install的结果是:

  

E:需要重新安装google-chrome-stable软件包,但我找不到它的存档。

作者:,James

最佳答案

似乎google-chrome-stable由于某种原因打破了你的系统。尝试这个:
打开终端窗口

Ctrl+Alt+T

然后在那里输入命令(在每个命令类型之后输入并对问题回答是)

Ctrl+Alt+T

然后通过

更新系统

sudo apt-get remove google-chrome-stable 

让apt-get运行,如果有任何错误帖子作为评论在这里,我会帮助(或任何人可用)

如果命令失败,您可以尝试以下命令:
更新包

sudo apt-get update && sudo apt-get upgrade

清理下载的软件包(可能存在损坏的软件包)

sudo apt-get update

删除不需要的软件包(小心!如果它可能列出了所需的东西,但它的依赖关系已被删除并将其保留为orphan)

sudo apt-get clean

重新配置所有包

sudo apt-get autoremove

修复损坏的包

sudo dpkg --configure -a

相关问答

添加新评论